Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044702
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-07-28 17:382020-08-05 15:23
ReporterrafarodaView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044702: Can't remove payments of a sale on credit when trying to complete its payments if payment method marked as reversable = N

DescriptionCan't remove payments of a sale on credit when trying to complete its payments if payment method marked as reversable = N

See video
Steps To ReproduceIn Backoffice:
1) First go the the customer and assign somre Credit Line Limit, for instance, 10.000 https://livebuilds.openbravo.com/retail_modules_pgsql_pi/?tabId=220&recordId=D5BF95FA079B4248B2CA2E2DA477D1B8 [^]
2) Go to Touchpoint Type and mark it as "Allow Pay On Credit" = Y https://livebuilds.openbravo.com/retail_modules_pgsql_pi/?tabId=4D9F5E9CC0014A96861CEFB64BBF013B&recordId=4785B70E9C1048AB9E9E7B26CFEF6E31 [^]
3) Go to one of the payment methods of the Touchpoint Type, for instance cash, and put is as Reversable = N https://livebuilds.openbravo.com/retail_modules_pgsql_pi/?tabId=4D9F5E9CC0014A96861CEFB64BBF013B&recordId=146569994AB34AC78FDC12AE15F307AF [^]

In WebPOS:
1) Select the previous customer, add some products to the ticket and in the payment panel add some Cash payment and some Credit Card payment: you can undo both by clicking on X button
2) Remove the 2 payments and click on Sell On credit
3) Menu > Open Receipts to recall the sale on credit ticket and go to the payment panel
4) Go to the payment panel, and add a cash payment and a credit card payment: you will have the X icon on the Credit Card payment but NOT in the Cash payment

Proposed SolutionTake into account that in France ALL the payment methods have to be marked as Reversable = N

Be able to remove those draft payments in a Credit Sale as if it was a regular draft ticket
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121776)
hgbot (developer)
2020-08-04 08:47

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/41 [^]
(0121858)
hgbot (developer)
2020-08-05 15:22

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: b1c3a00843533d27fbbd3d4e48e2c21a18ea1f8c
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-08-05T18:46:28+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b1c3a00843533d27fbbd3d4e48e2c21a18ea1f8c [^]

Related to BUG-44702 : Fixed payments removal issue in sale on credit receipt for the payment method reversible is false
* Included paidOnCredit validation in remove button display logic

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0121859)
hgbot (developer)
2020-08-05 15:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/41 [^]

- Issue History
Date Modified Username Field Change
2020-07-28 17:38 rafaroda New Issue
2020-07-28 17:38 rafaroda Assigned To => Retail
2020-07-28 17:38 rafaroda Triggers an Emergency Pack => No
2020-07-28 17:38 rafaroda Tag Attached: NOR
2020-08-03 16:11 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-08-04 06:40 prakashmurugesan88 Status new => scheduled
2020-08-04 08:47 hgbot Note Added: 0121776
2020-08-05 15:22 hgbot Note Added: 0121858
2020-08-05 15:22 hgbot Note Added: 0121859
2020-08-05 15:22 marvintm Status scheduled => resolved
2020-08-05 15:22 marvintm Fixed in Version => RR20Q4
2020-08-05 15:22 marvintm Resolution open => fixed
2020-08-05 15:23 marvintm Review Assigned To => marvintm
2020-08-05 15:23 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker